Skip to main content
POST
/
v1
/
issuing
/
cards
/
{id}
/
recharge
Card Recharge
curl --request POST \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id}/recharge \
  --header 'Content-Type: application/json' \
  --header 'x-auth-token: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>' \
  --data '
{
  "amount": 100.02
}
'
{
  "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
  "card_order_id": "c0cef051-29c5-4796-b86a-cd5ee34bfad7",
  "order_type": "CREATE_CARD",
  "amount": 100.02,
  "card_currency": "USD",
  "create_time": "2024-03-21T17:17:32+08:00",
  "update_time": "2024-03-21T17:17:32+08:00",
  "complete_time": "2024-03-21T17:17:32+08:00",
  "order_status": "PENDING"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-idempotency-key
string<uuid>
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"71fdb0fe-9682-457a-9361-e8868694f12f"

Body

application/json
amount
number
required

Recharge or withdraw amount for this card.

Required range: x > 0
Example:

100.02

Response

Card recharge successfully.

card_id
string
required

Unique identifier for the card.

Example:

"c0cef051-29c5-4796-b86a-cd5b684bfad7"

card_order_id
string
required

ID of the card order.

Example:

"c0cef051-29c5-4796-b86a-cd5ee34bfad7"

order_type
enum<string>
required

The order type.

Available options:
CARD_CREATE,
CARD_RECHARGE,
CARD_WITHDRAW,
CARD_UPDATE
Example:

"CREATE_CARD"

amount
number
required

Recharge or withdraw amount for this card.

Required range: x > 0
Example:

100.02

card_currency
enum<string>
required

The card currency. For example USD or SGD.

Available options:
SGD,
USD
Example:

"USD"

create_time
string
required

Create time at which the object was created.

Example:

"2024-03-21T17:17:32+08:00"

update_time
string
required

Updated time at which the object was created.

Example:

"2024-03-21T17:17:32+08:00"

complete_time
string
required

Completed time at which the object was created.

Example:

"2024-03-21T17:17:32+08:00"

order_status
enum<string>
required

This field will contain the status of the request after processing.

  • PENDING -The initial status of the order request.
  • PROCESSING - If this status shall be subject to webhooks notification.
  • SUCCESS - The final status of the order request is successful.
  • FAILED - The final status of the order request is failed.
Available options:
PENDING,
PROCESSING,
SUCCESS,
FAILED